From johnpol@2ka.mipt.ru Fri May 20 11:57:38 2005
Date: Fri, 20 May 2005 22:50:33 +0400
From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
To: Greg Kroah-Hartman <greg@kroah.com>
Subject: [2/2] w1_therm: removed duplicated family id.
Message-ID: <20050520225033.1e1d28a2@zanzibar.2ka.mipt.ru>

We can access family id through w1_family structure.

Signed-off-by: Evgeniy Polyakov <johnpol@2ka.mipt.ru>

---
 drivers/w1/w1_therm.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

--- gregkh-2.6.orig/drivers/w1/w1_therm.c	2005-05-23 16:29:10.000000000 -0700
+++ gregkh-2.6/drivers/w1/w1_therm.c	2005-05-23 16:31:34.000000000 -0700
@@ -66,7 +66,6 @@
 
 struct w1_therm_family_converter
 {
-	u8			fid;
 	u8			broken;
 	u16			reserved;
 	struct w1_family	*f;
@@ -78,17 +77,14 @@
 
 static struct w1_therm_family_converter w1_therm_families[] = {
 	{
-		.fid 		= W1_THERM_DS18S20,
 		.f		= &w1_therm_family_DS18S20,
 		.convert 	= w1_DS18S20_convert_temp
 	},
 	{
-		.fid 		= W1_THERM_DS1822,
 		.f		= &w1_therm_family_DS1822,
 		.convert 	= w1_DS18B20_convert_temp
 	},
 	{
-		.fid 		= W1_THERM_DS18B20,
 		.f		= &w1_therm_family_DS18B20,
 		.convert 	= w1_DS18B20_convert_temp
 	},
@@ -133,7 +129,7 @@
 	int i;
 
 	for (i=0; i<sizeof(w1_therm_families)/sizeof(w1_therm_families[0]); ++i)
-		if (w1_therm_families[i].fid == fid)
+		if (w1_therm_families[i].f->fid == fid)
 			return w1_therm_families[i].convert(rom);
 
 	return 0;
